package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumETCPCode {

    SUCCESS(0, "ok"),
    ;

    public static EnumETCPCode getEnum(Integer code) {
        for (EnumETCPCode value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumETCPCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
